#### D.15.10.26 grrndmap2

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grrndmap2(D,S), graded objects S and D

Return:
  graded object

Purpose:
  construct a random 0-deg graded homomorphism between target of D and S.

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module D=grobj(module([y,0,z],[x2+y2,z,0]),intvec(0,1,0));
    grview(D);
    ==> Graded homomorphism: r + r(-1) + r <- r(-1) + r(-2), given by a matrix, w\
       ith degrees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   2 |..1
    ==>   1 :  -   1 |..2
    ==>   0 :  1   - |..3
    ==>      === ===
    ==>        1   2
    module S=grobj(module([x,0,y],[xy,zy+x2,0]),intvec(0,0,0));
    grview(S);
    ==> Graded homomorphism: r^3 <- r(-1) + r(-2), given by a matrix, with degree\
       s:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   2 |..1
    ==>   0 :  -   2 |..2
    ==>   0 :  1   - |..3
    ==>      === ===
    ==>        1   2
    def G=grrndmap2(D,S);
    grview(G);
    ==> Graded homomorphism: r^3 <- r + r(-1) + r, given by a square matrix, with\
        degrees:
    ==>     .1 .2 .3 ...
    ==>     -- -- -- +..
    ==>  0 : 0  1  0 |.1
    ==>  0 : 0  1  0 |.2
    ==>  0 : 0  1  0 |.3
    ==>     == == ==
    ==>      0  1  0

User manual for Singular version 4-0-3, 2016, generated by texi2html.